#ifndef __RENDSPAN__
#define __RENDSPAN__

#include "rendBaseTypes.h"

// Vertex4UV spanners /////////////////////////////////////////////////////////////

void Span4UV_any_nop_any(const Vertex4UV &,
						 const Vertex4UV &,
						 int8 *);

void Span4UV_nearest_cpy_argb1555(const Vertex4UV &,
								  const Vertex4UV &,
								  int8 *);

void Span4UV_nearest_cpy_argb8888(const Vertex4UV &,
								  const Vertex4UV &,
								  int8 *);

void Span4UV_nearest_cpy_rgb565(const Vertex4UV &,
								const Vertex4UV &,
								int8 *);

void Span4UV_nearest_cpy_rgb888(const Vertex4UV &,
								const Vertex4UV &,
								int8 *);

void Span4UV_linear_cpy_argb1555(const Vertex4UV &,
								 const Vertex4UV &,
								 int8 *);

void Span4UV_linear_cpy_argb8888(const Vertex4UV &,
								 const Vertex4UV &,
								 int8 *);

void Span4UV_linear_cpy_rgb565(const Vertex4UV &,
							   const Vertex4UV &,
							   int8 *);

void Span4UV_linear_cpy_rgb888(const Vertex4UV &,
							   const Vertex4UV &,
							   int8 *);

void Span4UV_nearest_nearest_cpy_argb8888(const Vertex4UV &,
										  const Vertex4UV &,
										  int8 *);

void Span4UV_nearest_nearest_cpy_argb1555(const Vertex4UV &,
										  const Vertex4UV &,
										  int8 *);

void Span4UV_nearest_nearest_cpy_rgb888(const Vertex4UV &,
										const Vertex4UV &,
										int8 *);

void Span4UV_nearest_nearest_cpy_rgb565(const Vertex4UV &,
										const Vertex4UV &,
										int8 *);

void Span4UV_nearest_linear_cpy_argb8888(const Vertex4UV &,
										 const Vertex4UV &,
										 int8 *);

void Span4UV_nearest_linear_cpy_argb1555(const Vertex4UV &,
										 const Vertex4UV &,
										 int8 *);

void Span4UV_nearest_linear_cpy_rgb888(const Vertex4UV &,
									   const Vertex4UV &,
									   int8 *);

void Span4UV_nearest_linear_cpy_rgb565(const Vertex4UV &,
									   const Vertex4UV &,
									   int8 *);

// Vertex4ARGB spanners ///////////////////////////////////////////////////////////

void Span4ARGB_nop_any(const Vertex4ARGB &,
					   const Vertex4ARGB &,
					   int8 *);

void Span4ARGB_cpy_argb8888(const Vertex4ARGB &,
							const Vertex4ARGB &,
							int8 *);

void Span4ARGB_cpy_argb1555(const Vertex4ARGB &,
							const Vertex4ARGB &,
							int8 *);

void Span4ARGB_cpy_rgb888(const Vertex4ARGB &,
						  const Vertex4ARGB &,
						  int8 *);

void Span4ARGB_cpy_rgb565(const Vertex4ARGB &,
						  const Vertex4ARGB &,
						  int8 *);

void Span4ARGB_mod_argb8888(const Vertex4ARGB &,
							const Vertex4ARGB &,
							int8 *);

void Span4ARGB_mod_argb1555(const Vertex4ARGB &,
							const Vertex4ARGB &,
							int8 *);

void Span4ARGB_mod_rgb888(const Vertex4ARGB &,
						  const Vertex4ARGB &,
						  int8 *);

void Span4ARGB_mod_rgb565(const Vertex4ARGB &,
						  const Vertex4ARGB &,
						  int8 *);
#endif // __RENDSPAN__
